Skip to content

Servers​

https://api.memnetai.com/

Default​

Operations​


Think API​

POST
v1/think

This interface is used for autonomous thinking in memory

heat: 44 points

📌 Attention

Thinking is the core mechanism of human self-organizing memory system and an important source of subjective initiative. Through a continuous process of thinking, individuals are not only able to organize, strengthen, and reconstruct existing historical memories, but also derive new cognitive associations and high-value ideas based on this foundation.

This interface aims to simulate the human thinking mechanism: using a certain "thought" generated by historical memory as the theme, autonomously and repeatedly associating and deducing within the memory system, thereby achieving the reprocessing of memory and the generation of new ideas.

Parameters​

Header Parameters

Authorization

API key token

Typestring
Example"Token <api-key>"

Request Body​

application/json
JSON
{
"memoryAgentName": "string",
"namespace": "string",
"subject": "string",
"asyncMode": 1,
"isAuto": 0
}

Responses​

application/json
JSON
{
"code": "string",
"msg": "string",
"data": {
"tip": "string",
"usage": {
"consumedPoints": "string",
"consumedMemoryCount": "string",
"consumedRecallCount": "string",
"consumedThinkingCount": "string",
"consumedDreamCount": "string",
"consumedCommonMemoryWords": "string",
"hasRemainingQuota": true
},
"content": "string",
"summary": "string",
"taskId": "string"
}
}

Playground​

Headers
Body

Samples​

cURL
JavaScript
PHP
Python

Powered by VitePress OpenAPI